org.eclipse.wst.jsdt.chromium.debug.core

## Class ChromiumSourceComputer

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.ChromiumSourceComputer

    public class ChromiumSourceComputer
    extends java.lang.Object

A source path computer implementation that provides `VProjectSourceContainer` as a default source files container for V8/Chrome debug sessions and `SourceNameMapperContainer` for projects available in the workspace

### Constructor Summary

Constructors
Constructor and Description
`ChromiumSourceComputer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISourceContainer[]` `computeSourceContainers(ILaunchConfiguration configuration, IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumSourceComputer

    public ChromiumSourceComputer()

### Method Detail

#### computeSourceContainers

    public ISourceContainer[] computeSourceContainers(ILaunchConfiguration configuration,
                                                      IProgressMonitor monitor)
                                               throws CoreException

Throws:
  `CoreException`